# From GitLab tag: https://gitlab.com/LibreGames/jumpnbump/tags
%global uploadhash 9f3a356c52f433e3af10f1ef800fce5d

Name:           jumpnbump
Version:        1.60
Release:        %mkrel 4
Summary:        Cute multiplayer platform game with bunnies
Group:          Games/Arcade
License:        GPLv2+
URL:            https://gitlab.com/LibreGames/jumpnbump
Source0:        https://gitlab.com/LibreGames/jumpnbump/uploads/%{uploadhash}/%{name}-%{version}.tar.xz

# Patches backported from upstream stable branch
Patch0001:      0001-appdata-Fix-invalid-homepage-and-screenshot-URLs.patch
Patch0002:      0002-menu-Make-python-shebang-more-explicit.patch

# Debian patches
Patch0101:      parallel-ftbfs.patch

BuildRequires:  bzip2-devel
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(SDL2_mixer)
BuildRequires:  pkgconfig(SDL2_net)
BuildRequires:  pkgconfig(zlib)

# For music support, dlopen()'ed by SDL2_mixer
Requires:       %{_lib}modplug1

Recommends:     %{name}-menu

%description
Jump 'n Bump is a cute multiplayer platform game in which you, as a bunny,
have to jump on your opponents to make them explode. It is a true multiplayer
game with network support and shoudn't be played alone, although computer
bunnies with limited AI are available. The game is a UNIX port of the old DOS
game by Brainchild Design.

%package menu
Summary:        Level selection and config menu for the Jump 'n Bump game
BuildArch:      noarch

Requires:       %{name} = %{version}-%{release}
Requires:       imagemagick
Requires:       pygtk2.0
Requires:       pygtk2.0-libglade

%description menu
Python/GTK+ based level selection and configuration interface for the Jump 'n
Bump game.

%prep
%autosetup -p1

%build
%setup_compile_flags
%make_build PREFIX=%{_prefix} BINDIR=%{_gamesbindir} GAMEDATADIR=%{_gamesdatadir}

%install
%make_install PREFIX=%{_prefix} BINDIR=%{_gamesbindir} GAMEDATADIR=%{_gamesdatadir}

%find_lang %{name}-menu

%files
%doc AUTHORS ChangeLog docs/* README.md
%license COPYING
%{_gamesbindir}/%{name}
%{_gamesbindir}/gobpack
%{_gamesbindir}/jnb*
%dir %{_gamesdatadir}/%{name}
%{_gamesdatadir}/%{name}/jumpbump.dat
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/%{name}.png
%{_mandir}/man6/%{name}.6*

%files menu -f %{name}-menu.lang
%doc menu/README.md
%license COPYING
%{_gamesbindir}/%{name}-menu
%{_gamesdatadir}/%{name}/%{name}_menu.glade
%{_datadir}/applications/%{name}-menu.desktop


%changelog
* Mon Jun 26 2017 akien <akien> 1.60-4.mga6
+ Revision: 1108496
- Attempt at fixing parallel build

* Fri Jun 02 2017 akien <akien> 1.60-3.mga6
+ Revision: 1105857
- Add missing dependencies libmodplug1 (for music) and pygtk2.0-libglade
- Backport two upstream packaging enhancements (python shebang and appdata file)

* Sat May 27 2017 akien <akien> 1.60-2.mga6
+ Revision: 1105173
- Package more docs and license terms

* Wed May 24 2017 akien <akien> 1.60-1.mga6
+ Revision: 1104457
- Version 1.60

* Fri May 19 2017 akien <akien> 1.60-0.20170519.3.mga6
+ Revision: 1103391
- Fix bogus requires in jumpnbump-menu, and make it noarch

* Fri May 19 2017 akien <akien> 1.60-0.20170519.2.mga6
+ Revision: 1103253
- Disable parallel build completely
- Sync with upstream 20170519, adds jumpnbump-menu subpackage

* Wed May 17 2017 akien <akien> 1.60-0.20170516.1.mga6
+ Revision: 1102304
- Snapshot 20170516

* Wed Apr 19 2017 akien <akien> 1.60-0.20170411.4.mga6
+ Revision: 1096845
- Limit number of jobs for parallel build
- Another attempt to fix parallel building
- Attempt at fixing dependency ordering
- imported package jumpnbump

